petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatICCFactorSymbolic

Performs symbolic incomplete Cholesky factorization for a symmetric matrix. Use MatCholeskyFactorNumeric() to complete the factorization.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatICCFactorSymbolic(Mat fact,Mat mat,IS perm,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| perm | - row and column permutation Many br
| info | - structure containing Many br

         levels - number of levels of fill.

         expected fill - as ratio of original fill.

### Output Parameter

fact -the factored matrix Many br

### Notes

Most users should employ the KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatCholeskyFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages